/*
   orxonox - the future of 3D-vertical-scrollers

   Copyright (C) 2004 orx

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   ### File Specific:
   main-programmer: David Hasenfratz
   co-programmer: ...

   this file extends the framework file, so it renders what i want.
*/

#include "framework.h"

#include "light.h"

#include "media_container.h"
#include <stdlib.h>

#include "resource_manager.h"

MediaContainer* movie;

void Framework::moduleInit(int argc, char** argv)
{

  movie = new MediaContainer(argv[1]);

  // print information about the media file
  movie->printMediaInformation();

  SDL_Delay(1000);

}

void Framework::moduleEventHandler(SDL_Event* event)
{

}

void Framework::moduleTick(float dt)
{
  while(movie->getNextFrame() != NULL);
    movie->saveCurrentFrame();	
}

void Framework::moduleDraw(void) const
{

}

void Framework::moduleHelp(void) const
{

}
